/* CSS by Christina Carrasquilla, iteration by Emily Nappen */

/* ===== Color Palette ===== 

    background: #0f172a;
    nav-footer: #020617;
    card: #1e293b;
    text-main: #e2e8f0;
    text-muted: #94a3b8;
    accent: #38bdf8;
}
*/

/* ===== GLOBAL (Base) Styles ===== */
body {
    font-family: Helvetica, Arial, sans-serif;
    margin: 0;
    background-color: #0f172a;
    color: #e2e8f0;
    min-width:500px;
    display:grid;
    grid-template-columns:1fr;
}

header {
    background-color: #1e293b;
    text-align: center;
    padding: 1.5rem;
}

header h1 {
    margin: 0;
}

header p {
    margin-top: 0.5rem;
    color: #94a3b8;
}

nav {
    background-color: #020617;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav a {
    color: #e2e8f0;
    text-decoration: none;
    padding: 0.5rem;
    display: block;
    border-left: 4px solid #38bdf8;
    margin: .25rem;
}

nav a:hover {
    background-color: #334155;
}

main {
    padding: 1rem;
}

img {
    width:100%;
}

#screenings, #workshops, #collaborations {
    background-color: #1e293b;
    padding: 1rem;
    padding: 1rem;
    border-left: 4px solid #38bdf8;
}

aside {
    background-color: #38bdf8;
    color: #1e293b;
    padding: 1rem;
    padding: 1rem;
}

aside a {
    max-width: 200px;
}

a {
    display:block;
    background-color:#020617;
    color:#e2e8f0;
    padding:1rem 2rem;
    text-decoration:none;
    text-align:center;
}
a:hover {
    color:#020617;
    background-color:#e2e8f0;
}

footer {
    background-color: #020617;
    text-align: center;
    padding: 1rem;
    margin-top: 1rem;
}

/* ===== Media Query (Medium) ===== */
@media screen and (min-width:800px) {
    body {
        grid-template-columns: 1fr 300px;
    }

    header, nav, footer {
        grid-column: 1/-1;
    }
    
    nav ul {
        display: flex;
        gap: 1rem;
        justify-content: space-around;
    }

    .card-row {
        display: flex;
        gap: 1rem;
    }

    .card-row section {
        width: 30%;
    }
}